Skip to main content
GET
/
crm
/
imports
/
2026-03
/
{importId}
/
errors
cURL
curl --request GET \
  --url https://api.hubapi.com/crm/imports/2026-03/{importId}/errors \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": 123,
      "errorType": "AMBIGUOUS_ENUMERATION_OPTION",
      "id": "<string>",
      "sourceData": {
        "additionalRowData": [
          "<string>"
        ],
        "containsEncryptedProperties": true,
        "fileId": 123,
        "lineNumber": 123,
        "rowData": [
          "<string>"
        ],
        "pageName": "<string>"
      },
      "errorMessage": "<string>",
      "extraContext": "<string>",
      "invalidPropertyValue": {
        "dataSensitivity": "high",
        "isEncrypted": true,
        "isLargeValue": true,
        "name": "<string>",
        "persistenceTimestamp": 123,
        "requestId": "<string>",
        "selectedByUser": true,
        "selectedByUserTimestamp": 123,
        "source": "ACADEMY",
        "sourceId": "<string>",
        "sourceLabel": "<string>",
        "sourceMetadata": "<string>",
        "sourceUpstreamDeployable": "<string>",
        "sourceVid": [
          123
        ],
        "timestamp": 123,
        "unit": "<string>",
        "updatedByUserId": 123,
        "useTimestampAsPersistenceTimestamp": true,
        "value": "<string>"
      },
      "invalidValue": "<string>",
      "invalidValueToDisplay": "<string>",
      "knownColumnNumber": 123,
      "objectType": "ABANDONED_CART",
      "objectTypeId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

importId
integer<int64>
required

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

includeErrorMessage
boolean
includeRowData
boolean
limit
integer<int32>

The maximum number of results to display per page.

Response

successful operation

results
object[]
required
paging
object
Last modified on March 30, 2026